body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    flex-direction: column;
  }
  
  .chessboard {
    display: grid;
    grid-template-columns: repeat(8, 80px);
    grid-template-rows: repeat(8, 80px);
    gap: 0;
    border: 2px solid black;
    margin-top: 20px;
  }
  
  .chessboard .square {
    width: 80px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }
  
  .chessboard .light {
    background-color: rgb(218, 179, 129);
  }
  
  .chessboard .dark {
    background-color: rgb(128, 39, 39);
  }
  
  .piece {
    width: 100%;
    height: 100%;
  }
  
  .highlight {
    outline: 2px solid yellow;
  }
  
  h1 {
    margin-bottom: 20px;
  }
  #resetBtn {
    padding: 12px 20px;
    font-size: 18px;
    background-color: #4CAF50;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin: 10px 0;
    transition: background-color 0.3s ease;
  }
  
  #resetBtn:hover {
    background-color: #45a049;
  }
  